%global dlrn_nvr ironic-inspector-10.2.1.dev10-0.20200727083213.9ecb6e3
%global dlrn 1
%define upstream_version 10.2.1.dev10
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
%global service ironic-inspector
%global modulename ironic_inspector
%{!?upstream_version: %global upstream_version %{version}}

%global with_doc 0
%global with_tests 1

Name:       openstack-ironic-inspector
Summary:    Hardware introspection service for OpenStack Ironic
Version: 10.2.1
Release: 0.20200727083213.9ecb6e3%{?dist}
License:    ASL 2.0
URL:        https://launchpad.net/ironic-inspector

Source0: ironic-inspector-10.2.1.dev10-0.20200727083213.9ecb6e3.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=9ecb6e33ebcd7f021ccc1c9120e67834f207ee5b

Source1:    openstack-ironic-inspector.service
Source2:    openstack-ironic-inspector-dnsmasq.service
Source3:    dnsmasq.conf
Source4:    ironic-inspector-rootwrap-sudoers
Source5:    ironic-inspector.logrotate
Source6:    ironic-inspector-dist.conf
Source7:    openstack-ironic-inspector-conductor.service

BuildArch:  noarch
BuildRequires: git
BuildRequires: openstack-macros
BuildRequires: python3-devel
BuildRequires: python3-pbr
BuildRequires: python3-stestr
BuildRequires: systemd
# All these are required to run tests during check step
BuildRequires: python3-mock >= 3.0.5
BuildRequires: python3-alembic
BuildRequires: python3-automaton
BuildRequires: python3-eventlet
BuildRequires: python3-fixtures
BuildRequires: python3-futurist
BuildRequires: python3-ironicclient
BuildRequires: python3-jsonschema
BuildRequires: python3-keystoneauth1
BuildRequires: python3-keystonemiddleware
BuildRequires: python3-netaddr
BuildRequires: python3-oslo-concurrency
BuildRequires: python3-oslo-config
BuildRequires: python3-oslo-context
BuildRequires: python3-oslo-db
BuildRequires: python3-oslo-i18n
BuildRequires: python3-oslo-log
BuildRequires: python3-oslo-messaging
BuildRequires: python3-oslo-middleware
BuildRequires: python3-oslo-policy
BuildRequires: python3-oslo-serialization
BuildRequires: python3-oslo-utils
BuildRequires: python3-oslotest
BuildRequires: python3-six
BuildRequires: python3-sqlalchemy
BuildRequires: python3-stevedore
BuildRequires: python3-openstacksdk
BuildRequires: python3-testscenarios
BuildRequires: python3-testresources
BuildRequires: python3-tooz
BuildRequires: python3-construct
BuildRequires: python3-flask
BuildRequires: python3-ironic-lib
BuildRequires: python3-jsonpath-rw
BuildRequires: python3-retrying
BuildRequires: python3-pytz

%{?systemd_requires}

Requires: python3-pbr
Requires: python3-alembic
Requires: python3-automaton
Requires: python3-eventlet
Requires: python3-futurist
Requires: python3-jsonschema
Requires: python3-keystoneauth1 >= 3.14.0
Requires: python3-keystonemiddleware >= 4.18.0
Requires: python3-netaddr
Requires: python3-oslo-concurrency >= 3.26.0
Requires: python3-oslo-config >= 2:5.2.0
Requires: python3-oslo-context >= 2.19.2
Requires: python3-oslo-db >= 4.40.0
Requires: python3-oslo-i18n >= 3.15.3
Requires: python3-oslo-log >= 3.36.0
Requires: python3-oslo-messaging >= 5.32.0
Requires: python3-oslo-middleware >= 3.31.0
Requires: python3-oslo-policy >= 1.30.0
Requires: python3-oslo-rootwrap >= 5.8.0
Requires: python3-oslo-serialization >= 2.18.0
Requires: python3-oslo-service >= 1.24.0
Requires: python3-oslo-utils >= 3.33.0
Requires: python3-sqlalchemy
Requires: python3-stevedore
Requires: python3-tooz >= 1.64.0
Requires: python3-openstacksdk >= 0.40.0
Requires: python3-construct >= 2.9.39
Requires: python3-flask
Requires: python3-ironic-lib >= 2.17.0
Requires: python3-jsonpath-rw
Requires: python3-retrying >= 1.2.3
Requires: python3-pytz


Obsoletes: openstack-ironic-discoverd < 1.1.1
Provides: openstack-ironic-discoverd = %{upstream_version}

%description
Ironic Inspector is an auxiliary service for discovering hardware properties
for a node managed by OpenStack Ironic. Hardware introspection or hardware
properties discovery is a process of getting hardware parameters required for
scheduling from a bare metal node, given it’s power management credentials
(e.g. IPMI address, user name and password).

This package contains Python modules and an ironic-inspector service combining
API and conductor in one binary.

%if 0%{?with_doc}
%package -n openstack-ironic-inspector-doc
Summary:    Documentation for Ironic Inspector.

BuildRequires: python3-sphinx
BuildRequires: python3-openstackdocstheme
BuildRequires: python3-sphinxcontrib-apidoc
BuildRequires: python3-sphinxcontrib-rsvgconverter

%description -n openstack-ironic-inspector-doc
Documentation for Ironic Inspector.
%endif

%package -n openstack-ironic-inspector-dnsmasq
Summary:    DHCP service for ironic-inspector using dnsmasq

Requires:   %{name} = %{version}-%{release}
Requires:   dnsmasq

%description -n openstack-ironic-inspector-dnsmasq
Ironic Inspector is an auxiliary service for discovering hardware properties
for a node managed by OpenStack Ironic. Hardware introspection or hardware
properties discovery is a process of getting hardware parameters required for
scheduling from a bare metal node, given it’s power management credentials
(e.g. IPMI address, user name and password).

This package contains a dnsmasq service pre-configured for using with
ironic-inspector.

%package -n openstack-ironic-inspector-conductor
Summary:    Conductor service for Ironic Inspector.

Requires:   %{name} = %{version}-%{release}

%description -n openstack-ironic-inspector-conductor
Ironic Inspector is an auxiliary service for discovering hardware properties
for a node managed by OpenStack Ironic. Hardware introspection or hardware
properties discovery is a process of getting hardware parameters required for
scheduling from a bare metal node, given it’s power management credentials
(e.g. IPMI address, user name and password).

This package contains an ironic-inspector conductor service, which can be used
to split ironic-inspector into API and conductor processes.

%package -n openstack-ironic-inspector-api
Summary:    WSGI service service for Ironic Inspector.

Requires:   %{name} = %{version}-%{release}

%description -n openstack-ironic-inspector-api
Ironic Inspector is an auxiliary service for discovering hardware properties
for a node managed by OpenStack Ironic. Hardware introspection or hardware
properties discovery is a process of getting hardware parameters required for
scheduling from a bare metal node, given it’s power management credentials
(e.g. IPMI address, user name and password).

This package contains an ironic-inspector WSGI service, which can be used
to split ironic-inspector into API and conductor processes.

%package -n python3-%{service}-tests
Summary:    %{service} Unit Tests
%{?python_provide:%python_provide python2-%{service}-tests}

Requires:   %{name} = %{version}-%{release}

%description -n python3-%{service}-tests
It contains the unit tests

%prep
%autosetup -v -p 1 -n %{service}-%{upstream_version} -S git
# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{py3_build}
%if 0%{?with_doc}
export PYTHONPATH=.
sphinx-build -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
%endif

%install
%{py3_install}

mkdir -p %{buildroot}%{_mandir}/man8
install -p -D -m 644 ironic-inspector.8 %{buildroot}%{_mandir}/man8/

# logs configuration
install -d -m 750 %{buildroot}%{_localstatedir}/log/ironic-inspector
install -d -m 750 %{buildroot}%{_localstatedir}/log/ironic-inspector/ramdisk
install -p -D -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/logrotate.d/openstack-ironic-inspector

# install systemd scripts
mkdir -p %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE2} %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE7} %{buildroot}%{_unitdir}

# install sudoers file
mkdir -p %{buildroot}%{_sysconfdir}/sudoers.d
install -p -D -m 440 %{SOURCE4} %{buildroot}%{_sysconfdir}/sudoers.d/ironic-inspector

# generate example configuration files
install -d -m 750 %{buildroot}%{_sysconfdir}/ironic-inspector
export PYTHONPATH=.
oslo-config-generator --config-file tools/config-generator.conf --output-file %{buildroot}/%{_sysconfdir}/ironic-inspector/inspector.conf
oslopolicy-sample-generator --config-file tools/policy-generator.conf --output-file %{buildroot}/%{_sysconfdir}/ironic-inspector/policy.json

# configuration contains passwords, thus 640
chmod 0640 %{buildroot}/%{_sysconfdir}/ironic-inspector/inspector.conf
install -p -D -m 640 %{SOURCE6} %{buildroot}/%{_sysconfdir}/ironic-inspector/inspector-dist.conf
install -p -D -m 644 %{SOURCE3} %{buildroot}/%{_sysconfdir}/ironic-inspector/dnsmasq.conf

# rootwrap configuration
mkdir -p %{buildroot}%{_sysconfdir}/ironic-inspector/rootwrap.d
install -p -D -m 640 rootwrap.conf %{buildroot}/%{_sysconfdir}/ironic-inspector/rootwrap.conf
install -p -D -m 640 rootwrap.d/* %{buildroot}/%{_sysconfdir}/ironic-inspector/rootwrap.d/

# shared state directory
mkdir -p %{buildroot}%{_sharedstatedir}/ironic-inspector

# shared state directory for the dnsmasq PXE filter and the dnsmasq service
mkdir -p %{buildroot}%{_sharedstatedir}/ironic-inspector/dhcp-hostsdir


%check
%if 0%{?with_tests}
PYTHON=%{__python3} stestr run --test-path ironic_inspector.test.unit
%endif

%files
%doc README.rst
%license LICENSE
%config(noreplace) %attr(-,root,ironic-inspector) %{_sysconfdir}/ironic-inspector
%config(noreplace) %{_sysconfdir}/logrotate.d/openstack-ironic-inspector
%{_sysconfdir}/sudoers.d/ironic-inspector
%{python3_sitelib}/%{modulename}
%{python3_sitelib}/%{modulename}-*.egg-info
%exclude %{python3_sitelib}/%{modulename}/test
%{_bindir}/ironic-inspector
%{_bindir}/ironic-inspector-rootwrap
%{_bindir}/ironic-inspector-dbsync
%{_bindir}/ironic-inspector-migrate-data
%{_unitdir}/openstack-ironic-inspector.service
%attr(-,ironic-inspector,ironic-inspector) %{_sharedstatedir}/ironic-inspector
%attr(-,ironic-inspector,ironic-inspector) %{_sharedstatedir}/ironic-inspector/dhcp-hostsdir
%attr(-,ironic-inspector,ironic-inspector) %{_localstatedir}/log/ironic-inspector
%attr(-,ironic-inspector,ironic-inspector) %{_localstatedir}/log/ironic-inspector/ramdisk/
%doc %{_mandir}/man8/ironic-inspector.8.gz
%exclude %{python3_sitelib}/%{modulename}_tests.egg-info

%if 0%{?with_doc}
%files -n openstack-ironic-inspector-doc
%license LICENSE
%doc CONTRIBUTING.rst doc/build/html
%endif

%files -n openstack-ironic-inspector-dnsmasq
%license LICENSE
%{_unitdir}/openstack-ironic-inspector-dnsmasq.service

%files -n openstack-ironic-inspector-conductor
%license LICENSE
%{_bindir}/ironic-inspector-conductor
%{_unitdir}/openstack-ironic-inspector-conductor.service

%files -n openstack-ironic-inspector-api
%license LICENSE
%{_bindir}/ironic-inspector-api-wsgi

%files -n python3-%{service}-tests
%license LICENSE
%{python3_sitelib}/%{modulename}/test

%pre
getent group ironic-inspector >/dev/null || groupadd -r ironic-inspector
getent passwd ironic-inspector >/dev/null || \
    useradd -r -g ironic-inspector -d %{_sharedstatedir}/ironic-inspector -s /sbin/nologin \
-c "OpenStack Ironic Inspector Daemons" ironic-inspector
exit 0

%post
%systemd_post openstack-ironic-inspector.service

%post -n openstack-ironic-inspector-dnsmasq
%systemd_post openstack-ironic-inspector-dnsmasq.service

%post -n openstack-ironic-inspector-conductor
%systemd_post openstack-ironic-inspector-conductor.service

%preun
%systemd_preun openstack-ironic-inspector.service

%preun -n openstack-ironic-inspector-dnsmasq
%systemd_preun openstack-ironic-inspector-dnsmasq.service

%preun -n openstack-ironic-inspector-conductor
%systemd_preun openstack-ironic-inspector-conductor.service

%postun
%systemd_postun_with_restart openstack-ironic-inspector.service

%postun -n openstack-ironic-inspector-dnsmasq
%systemd_postun_with_restart openstack-ironic-inspector-dnsmasq.service

%postun -n openstack-ironic-inspector-conductor
%systemd_postun_with_restart openstack-ironic-inspector-conductor.service

%changelog
* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add public api support to basic auth

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Respond so Apache HTTPd doesn't think the request failed

* Tue Jul 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set min version of tox to 3.2.1

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Do not try to set local_gb to -1 when the matched root device size is 0

* Sun Jul 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make inspector base CI job use 2 CPUs

* Thu Jul 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove non-inclusive language in pxe filter

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Jul 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add release version to release notes

* Tue Jul 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use node.id instead of node.uuid in record_node

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add leader election for periodic sync with ironic

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Prepare release notes for release 10.2

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow setting other fields on discovery

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Allow operators to disable clean_up sync

* Tue Jun 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove introspection timeout option

* Sun Jun 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix incorrect pxe-enabled was set during introspection

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Document [ironic] auth options for inspector

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge jobs

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- CI: make grenade voting again

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Accept IPv6 link local address during interface validation

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Imported Translations from Zanata

* Wed Jun 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove cimc_address from address field list

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- devstack: Use uwsgi binary from path; temporary disable grenade

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update doc for multi-arch x86

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of mock

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Enable Basic HTTP authentication middleware.

* Mon Jun 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [doc] Add misconfigured BMC channel to trouble shooting guide

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set default timeouts for ironic inspector base job

* Thu May 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update lower-constraints.txt

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cap jsonschema 3.2.0 as the minimal version

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Bump hacking min version to 3.0.1

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop configuring install_command in tox.

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add py38 package metadata

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set tempest_test_timeout for managed job

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Increase timeout for introspection in ironic-inspector-tempest-managed

* Wed May 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch to newer openstackdocstheme and reno versions

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add Python3 victoria unit tests

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop running a periodic task for the noop PXE filter

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Treat endpoints with trailing slashes the same way as without them

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Sat May 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Imported Translations from Zanata
- extra_hardware: stop storing raw data in swift
- Use latest version of python construct
- Remove translation sections from setup.cfg
- Stop creating a green thread in the introspection unit tests
- No need to import print function anymore

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Make POST /v1/introspection synchronous when manage_boot==False

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Avoid using introspection start delays with non-managed boot

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Convert jobs to dib

* Sun May 10 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup deprecated [swift]max_retries

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Revert disabling the grenade job

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update local.conf example file.

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add variable to set inspection timeout in tempest tests

* Fri May 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Silence debug logging from oslo_messaging
- Stop aborting the process on periodic task failures

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Monkey patch original current_thread _active

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Temporary disbling grenade and non-standalone-tempest
- Fix grenade job

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [docs] remove the horribly outdated version support matrix

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [trivial] Remove duplicate entry in lldp test

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Hacking: enforce usage of autospec=True in tests

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove testresources and testscenarios from test-requirements

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Imported Translations from Zanata

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Upgrade flake8-import-order version to 0.17.1

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update master for stable/ussuri

* Mon Apr 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Native zuulv3 grenade job for inspector

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Give more time for grenade job

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use autospec=True in mocks

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- BasePhysnetHook - Follow up

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Cleanup py27 support

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Port physical network CIDR map hook

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add BasePhysnetHook

* Mon Apr 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use unittest.mock instead of third party mock

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add variable to set discovery timeout in tempest tests

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change default ram for tinyipa jobs

* Tue Apr 14 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Move Babel to test-requirements

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Set default boot option to netboot for jobs using cirros

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Imported Translations from Zanata

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Install pymemcache explicitly
- Bump hacking to 3.0.0
- Added scope to introspection rules.

* Fri Mar 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Finalize ironicclient removal

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Use openstacksdk for ironic module

* Fri Mar 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add words for mutiarch configuration
- Explicitly set ramdisk type
- Change CoreOS to Centos for IPA
- Replace references to the deprecated ironic-agent element
- Stop supporting Flask < 1.0
- Update ironic inspector document for dropping py2.x
- link introspection API docs to client docs
- Use bionic job for bifrost integration
- Respect driver_info.force_persistent_boot_device
- Update ironic-inspector usage document
- Add librsvg2* to bindep and bindep env
- Imported Translations from Zanata
- Enforce running tox with correct python version based on env
- Stop using six library

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Add words for mutiarch configuration
- Explicitly set ramdisk type
- Change CoreOS to Centos for IPA
- Replace references to the deprecated ironic-agent element
- Stop supporting Flask < 1.0
- Update ironic inspector document for dropping py2.x
- link introspection API docs to client docs
- Use bionic job for bifrost integration
- Respect driver_info.force_persistent_boot_device
- Update ironic-inspector usage document
- Add librsvg2* to bindep and bindep env
- Imported Translations from Zanata
- Enforce running tox with correct python version based on env
- Stop using six library
- Add words for mutiarch configuration
- Explicitly set ramdisk type
- Change CoreOS to Centos for IPA
- Replace references to the deprecated ironic-agent element
- Stop supporting Flask < 1.0
- Update ironic inspector document for dropping py2.x
- link introspection API docs to client docs
- Use bionic job for bifrost integration
- Respect driver_info.force_persistent_boot_device
- Update ironic-inspector usage document
- Add librsvg2* to bindep and bindep env
- Imported Translations from Zanata
- Enforce running tox with correct python version based on env
- Stop using six library

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add words for mutiarch configuration

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Explicitly set ramdisk type

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Change CoreOS to Centos for IPA
- Replace references to the deprecated ironic-agent element
- Stop supporting Flask < 1.0
- Update ironic inspector document for dropping py2.x
- link introspection API docs to client docs
- Use bionic job for bifrost integration
- Respect driver_info.force_persistent_boot_device
- Update ironic-inspector usage document
- Add librsvg2* to bindep and bindep env
- Imported Translations from Zanata
- Enforce running tox with correct python version based on env

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Stop using six library

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "docs: use openstackdocstheme extlink extension"
- docs: use openstackdocstheme extlink extension

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Limit lower-constraints.txt to only direct dependencies"
- Limit lower-constraints.txt to only direct dependencies

* Tue Dec 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Update docs on aarch64 PXE"
- Merge "Do not update/delete ports upon inspection of active nodes"
- Merge "Get details when listing ports upon inspection of active nodes"
- Update docs on aarch64 PXE
- Do not update/delete ports upon inspection of active nodes
- Merge "Create a job with boot and networking managed by ironic"
- Create a job with boot and networking managed by ironic
- Get details when listing ports upon inspection of active nodes

* Fri Nov 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Drop python 2.7 support and testing

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Switch legacy job to Py3

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Make the bifrost job non-voting"
- Make the bifrost job non-voting

* Tue Oct 29 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Add IPv6 support to dnsmasq example"
- Switch Integration Jobs to Python3
- Add IPv6 support to dnsmasq example

* Wed Oct 23 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Switch to Ussri job"
- Switch to Ussri job

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Silence amqp DEBUG messages in logs"
- Silence amqp DEBUG messages in logs

* Mon Oct 21 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Stop trying to power off nodes if manage_boot is False"
- Stop trying to power off nodes if manage_boot is False

* Sat Oct 19 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Stop logging the iptables command line"
- Stop logging the iptables command line

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- update source link in readme

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Remove unused import statement."
- Remove unused import statement.

* Wed Oct 09 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Raising minimum version of oslo.db"
- Raising minimum version of oslo.db

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Remove calling enable_python3_package in devstack

